<?php
/**
 * Copyright ©  All rights reserved.
 * See COPYING.txt for license details.
 */
declare(strict_types=1);

namespace Pinpoint\CarouselManager\Model\Data;

use Pinpoint\CarouselManager\Api\Data\SlideInterface;

class Slide extends \Magento\Framework\Api\AbstractExtensibleObject implements SlideInterface
{

    /**
     * Get slide_id
     * @return string|null
     */
    public function getSlideId()
    {
        return $this->_get(self::SLIDE_ID);
    }

    /**
     * Set slide_id
     * @param string $slideId
     * @return \Pinpoint\CarouselManager\Api\Data\SlideInterface
     */
    public function setSlideId($slideId)
    {
        return $this->setData(self::SLIDE_ID, $slideId);
    }

    /**
     * Get name
     * @return string|null
     */
    public function getName()
    {
        return $this->_get(self::NAME);
    }

    /**
     * Set name
     * @param string $name
     * @return \Pinpoint\CarouselManager\Api\Data\SlideInterface
     */
    public function setName($name)
    {
        return $this->setData(self::NAME, $name);
    }

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\CarouselManager\Api\Data\SlideExtensionInterface|null
     */
    public function getExtensionAttributes()
    {
        return $this->_getExtensionAttributes();
    }

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\CarouselManager\Api\Data\SlideExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\CarouselManager\Api\Data\SlideExtensionInterface $extensionAttributes
    ) {
        return $this->_setExtensionAttributes($extensionAttributes);
    }
}

