<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Model\Source\Slide;

use Pinpoint\CarouselManager\Helper\Config;

/**
 * Class CtaNumber
 */
class CtaNumber implements \Magento\Framework\Option\ArrayInterface
{
    /** @var Config */
    protected $configHelper;

    /**
     * CtaNumber constructor.
     * @param Config $configHelper
     */
    public function __construct(Config $configHelper)
    {
        $this->configHelper = $configHelper;
    }

    /**
     * Get available options
     *
     * @codeCoverageIgnore
     * @return array
     */
    public function toOptionArray()
    {
        $options = [];

        for ($i = 1; $i <= $this->configHelper->getMaximumNumberOfCtas(); $i++) {
            $options[] = ['value' => $i, 'label' => (string)$i];
        }

        return $options;
    }
}
