<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Ui\Component;
use Magento\Ui\DataProvider\AbstractDataProvider;
use Pinpoint\CarouselManager\Model\ResourceModel\Slide\Collection;
use Magento\Framework\View\Element\UiComponent\ContextInterface;

use Pinpoint\CarouselManager\Model\ResourceModel\Slide\CollectionFactory;

/**
 * Class CustomDataProvider
 */
class CustomDataProvider  extends AbstractDataProvider
{
    /**
     * @var ContextInterface
     */
    private $context;
    /**
     * @var \Magento\Framework\App\RequestInterface
     */
    private $request;

    /**
     * CustomDataProvider constructor.
     *
     * @param $name
     * @param $primaryFieldName
     * @param $requestFieldName
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        ContextInterface $context,
        CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        $this->collection = $collectionFactory->create();
        $this->context = $context;
        parent::__construct(
            $name,
            $primaryFieldName,
            $requestFieldName,
            $meta,
            $data
        );
    }

    /**
     * Get data
     *
     * @return array
     */
    public function getData()
    {
        return ['' => [
            'carousel_id' => $this->context->getRequestParam('carousel_id'),
            ]
            // return the form data here
        ];
    }
}